Robotsystem of the Robot Group Leipzig: Storeable Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Storeable Class Reference

Interface for objects, that can be stored and restored to/from a file stream (binary). More...

`#include <storeable.h>`

Inherited by AbstractController, AbstractModel, Layer, Matrix, and QLearning.

Inheritance diagram for Storeable:

[legend]
List of all members.

## Public Member Functions
virtual | ~Storeable ()
virtual bool | store (FILE *f) const =0
| stores the object to the given file stream (binary).
virtual bool | restore (FILE *f)=0
| loads the object from the given file stream (binary).

## Detailed Description

Interface for objects, that can be stored and restored to/from a file stream (binary).

## Constructor & Destructor Documentation

virtual ~Storeable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool restore | ( | FILE * | f | ) | `[pure virtual]`

loads the object from the given file stream (binary).

Implemented in AbstractIAFController, AbstractMultiController, BasicController, ClassicReinforce, Elman, FFNNController, InvertMotorBigModel, InvertMotorNStep, InvertMotorSpace, InvertNChannelController, MeasureAdapter, Layer, MultiLayerFFNN, MutualInformationController, OneActiveMultiPassiveController, OneLayerFFNN, QLearning, ReplayController, SineController, SOM, use_java_controller, and Matrix.

virtual bool store | ( | FILE * | f | ) | const`[pure virtual]`

stores the object to the given file stream (binary).

Implemented in AbstractIAFController, AbstractMultiController, BasicController, ClassicReinforce, Elman, FFNNController, InvertMotorBigModel, InvertMotorNStep, InvertMotorSpace, InvertNChannelController, MeasureAdapter, Layer, MultiLayerFFNN, MutualInformationController, OneActiveMultiPassiveController, OneLayerFFNN, QLearning, ReplayController, SineController, SOM, use_java_controller, and Matrix.

The documentation for this class was generated from the following file:

- storeable.h